org.firebirdsql.jdbc

## Class AbstractFieldMetaData.FieldKey

- java.lang.Object
- - org.firebirdsql.jdbc.AbstractFieldMetaData.FieldKey

Enclosing class:
  AbstractFieldMetaData

    protected static final class AbstractFieldMetaData.FieldKey
    extends java.lang.Object

This class should be used as a composite key in an internal field mapping structures.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)` Check if `obj` is equal to this object.
`int` `hashCode()` Get hash code of this instance.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### equals

    public boolean equals(java.lang.Object obj)

Check if `obj` is equal to this object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - object to check.
Returns:
  `true` if `obj` is instance of this class and has equal relation and field names.

#### hashCode

    public int hashCode()

Get hash code of this instance.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  combination of hash codes of `relationName` field and `fieldName` field.